/* 
   SQL Auditing Tools
   Copyright (C) Patrik Karlsson 2001
   
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include "registry.h"

char *getRootKey(char *pRegKey) {

  int i=0;
  char *pRootKey = NULL;

  while ( pRegKey[i] != '\\' && i<strlen(pRegKey) )
    i++;

  pRootKey = (char *) malloc( i + 1);
  strncpy(pRootKey, pRegKey, i);

  return pRootKey;

}

char *getKey(char *pRegKey) {

  int i=0;
  char *pKey = NULL;

  while ( pRegKey[i] != '\\' && i<strlen(pRegKey) )
    i++;

  i+=1;

  pKey = (char *) malloc( strlen(pRegKey) );
  memset(pKey, 0, strlen(pRegKey));
  strncpy(pKey, pRegKey+i, strlen(pRegKey)-i);

  return pKey;

}
